Subject: Re: [PATCH net 2/3] mptcp: remove unneeded lock when listing scheds

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Oct 2024 15:53:14 -0700

On Wed, 23 Oct 2024 16:13:36 +0200 Matthieu Baerts wrote:
> On 23/10/2024 14:21, Simon Horman wrote:
> > On Mon, Oct 21, 2024 at 12:25:27PM +0200, Matthieu Baerts (NGI0) wrote:  
> >> mptcp_get_available_schedulers() needs to iterate over the schedulers'
> >> list only to read the names: it doesn't modify anything there.
> >>
> >> In this case, it is enough to hold the RCU read lock, no need to combine
> >> this with the associated spin lock.
> >>
> >> Fixes: 73c900aa3660 ("mptcp: add net.mptcp.available_schedulers")
> >> Cc: [email-masked]
> >> Suggested-by: Paolo Abeni <[email-masked]>
> >> Reviewed-by: Geliang Tang <[email-masked]>
> >> Signed-off-by: Matthieu Baerts (NGI0) <[email-masked]>  
> > 
> > I do wonder if it would be more appropriate to route this via net-next
> > (without a fixes tag) rather than via net. But either way this looks good
> > to me.  
> Good point. On one hand, I marked it as a fix, because when working on
> the patch 1/3, we noticed these spin_(un)lock() were not supposed to be
> there in the first place. On the other hand, even it's fixing a small
> performance issue, it is not fixing a regression.
> 
> I think it is easier to route this via -net, but I'm fine if it is
> applied in net-next.

I agree with Simon's initial response. Let's not blur the lines.
Please re-queue for net-next, I'll apply the rest.

BTW thanks a lot for proactively fixing the CONFIG_PROVE_RCU_LIST
splats!